Subject: [bug#46313] [PATCH] gnu: Add chiaki.

From: Léo Le Bouter <[email-masked]>
Date: Sun, 07 Feb 2021 17:57:11 +0100

On Sun, 2021-02-07 at 10:43 +0100, Nicolas Goaziou wrote:
> Hello,

Hello!

> 
> Léo Le Bouter via Guix-patches via <[email-masked]> writes:
> 
> > * gnu/packages/games.scm (chiaki): New variable.
> 
> Thank you. Some comments follow.
> 
> > +             (recursive? #t)))
> 
> Do you know what sub-modules are being pulled? Could we unbundle them
> instead?

There is gf-complete, jerasure and nanopb. Will have to look for
unbundling.

> 
> > +    (synopsis "Free and Open Source PlayStation Remote Play
> > Client")
> 
> Please remove "Free" and "Open Source": everything is in Guix. Also,
> synopsis should not use titlecase:
> 
>     "PlayStation Remote Play client"
> 
> > +    (description "Chiaki is a Free and Open Source Software Client
> > for
> > +PlayStation 4 and PlayStation 5 Remote Play.")
> 
> See above. Also, couldyou expound a bit the description?
> 

Okay, merely copied the synopsis and description from the original
project.

> > +    (license
> > +     (license:fsdg-compatible
> 
> It should be fsf-free instead of fsdg-compatible.
> 
> > +      "file://LICENSES/AGPL-3.0-only-OpenSSL.txt"
> > +      "AGPL-3.0-only-OpenSSL"))))
> 

The thing is, the FSF does not approve that particular variant of the
license with OpenSSL exception so that's why I only specified it is
compatible.

> I think the correct string would be "AGPL-3.0 WITH OpenSSL exception"
> but I wonder if Guix cares about the exception.
> 
> Could you send an updated patch?
> 

ASAP.

> Regards,

Thank you.